package com.example.pda.model

import com.google.gson.annotations.SerializedName

data class loginItem(
    @SerializedName("name")
    var username: String, // 明确表示用户名

    @SerializedName("password")
    var password: String // 明确表示密码
)
data class successItem(
    @SerializedName("name")
    val message: String ,// 状态信息

    @SerializedName("openid")
    val openid: String ,// 用户唯一标识

    @SerializedName("user_id")
    val user_id: String ,// 用户id

    @SerializedName("appid")
    val appid: String ,// 应用id

    @SerializedName("staff_type")
    val staff_type: String // 员工类型


)
data class loginfailResult(
    @SerializedName("code")
    val code: Int, // 状态码

    @SerializedName("msg")
    val message: String ,// 状态信息

    @SerializedName("data")
    val data: loginItem ,// 返回数据

    @SerializedName("ip")
    val ip: String ,// 登录ip地址
)   

class loginSuccessResult(
    @SerializedName("code")
    val code: Int, // 状态码

    @SerializedName("msg")
    val message: String ,// 状态信息

    @SerializedName("data")
    val data: successItem ,// 返回数据

    @SerializedName("ip")
    val ip: String // 登录ip地址        
)